Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.parsers
Class CachingParserPool.ShadowedGrammarPool

    java.lang.Object
      |
      +--weblogic.apache.xerces.util.XMLGrammarPoolImpl
            |
            +--weblogic.apache.xerces.parsers.CachingParserPool.ShadowedGrammarPool

public static final class CachingParserPool.ShadowedGrammarPool
extends XMLGrammarPoolImpl

Shadowed grammar pool. This class is predicated on the existence of a concrete implementation; so using our own doesn't seem to bad an idea.

Inner classes inherited from class weblogic.apache.xerces.util.XMLGrammarPoolImpl
`XMLGrammarPoolImpl.Entry`

Fields inherited from class weblogic.apache.xerces.util.XMLGrammarPoolImpl
`fGrammars, fPoolIsLocked, TABLE_SIZE`

Constructor Summary
`CachingParserPool.ShadowedGrammarPool(XMLGrammarPool grammarPool)` Constructs a shadowed grammar pool.

Method Summary
`void` | `cacheGrammars(java.lang.String grammarType, Grammar[] grammars)` Give the grammarPool the option of caching these grammars.
`boolean` | `containsGrammar(XMLGrammarDescription desc)` Returns true if the grammar pool contains a grammar associated to the specified description.
`Grammar` | `getGrammar(XMLGrammarDescription desc)` Returns the grammar associated to the specified description.
`Grammar` | `retrieveGrammar(XMLGrammarDescription gDesc)` Retrieve a particular grammar.
`Grammar[]` | `retrieveInitialGrammarSet(java.lang.String grammarType)` Retrieve the initial set of grammars for the validator to work with.

Methods inherited from class weblogic.apache.xerces.util.XMLGrammarPoolImpl
`clear, equals, hashCode, lockPool, putGrammar, removeGrammar, unlockPool`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingParserPool.ShadowedGrammarPool

    public CachingParserPool.ShadowedGrammarPool(XMLGrammarPool grammarPool)

  Constructs a shadowed grammar pool.

Method Detail

### retrieveInitialGrammarSet

    public Grammar[] retrieveInitialGrammarSet(java.lang.String grammarType)

  Retrieve the initial set of grammars for the validator to work with. REVISIT: does this need to be synchronized since it's just reading?

  Parameters:
    `grammarType` - Type of the grammars to be retrieved.
  Returns:
    The initial grammar set the validator may place in its "bucket"
  Overrides:
    retrieveInitialGrammarSet in class XMLGrammarPoolImpl

### retrieveGrammar

    public Grammar retrieveGrammar(XMLGrammarDescription gDesc)

  Retrieve a particular grammar. REVISIT: does this need to be synchronized since it's just reading?

  Parameters:
    `gDesc` - Description of the grammar to be retrieved
  Returns:
    Grammar corresponding to gDesc, or null if none exists.
  Overrides:
    retrieveGrammar in class XMLGrammarPoolImpl

### cacheGrammars

    public void cacheGrammars(java.lang.String grammarType,
                              Grammar[] grammars)

  Give the grammarPool the option of caching these grammars. This certainly must be synchronized.

  Parameters:
    `grammarType` - The type of the grammars to be cached.
    `grammars` - The Grammars that may be cached (unordered, Grammars previously given to the validator may be included).
  Overrides:
    cacheGrammars in class XMLGrammarPoolImpl

### getGrammar

    public Grammar getGrammar(XMLGrammarDescription desc)

  Returns the grammar associated to the specified description.

  Parameters:
    `desc` - The description of the grammar.
  Overrides:
    getGrammar in class XMLGrammarPoolImpl

### containsGrammar

    public boolean containsGrammar(XMLGrammarDescription desc)

  Returns true if the grammar pool contains a grammar associated to the specified description.

  Parameters:
    `desc` - The description of the grammar.
  Overrides:
    containsGrammar in class XMLGrammarPoolImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD